Page MenuHomePhabricator

[coro async] Allow a coro.suspend.async to specify which argument is the context argument
ClosedPublic

Authored by aschwaighofer on Feb 23 2021, 1:34 PM.

Details

Summary

Before we used the same argument as the entry point. The resume partial
function might want to use a different ABI for its context argument

Diff Detail

Event Timeline

aschwaighofer created this revision.Feb 23 2021, 1:34 PM
aschwaighofer requested review of this revision.Feb 23 2021, 1:34 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 23 2021, 1:34 PM
rjmccall accepted this revision.Mar 1 2021, 9:11 PM

LGTM

This revision is now accepted and ready to land.Mar 1 2021, 9:11 PM
This revision was landed with ongoing or failed builds.Mar 3 2021, 8:28 AM
This revision was automatically updated to reflect the committed changes.